Subject: [dhcwg] what are relay agent options?

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Tue, 15 Apr 2003 00:22:26 +0900

draft-ietf-dhc-dhcpv6-28.txt refers to a terminology "relay agent
options" several times.  For example, Section 18.1 contains the
following sentence:

      Requiring the client to relay all DHCP
      messages through a relay agent enables the inclusion of
      relay agent options in all messages sent by the client.

But, what are really they?  I cannot find a clear definition of "relay
agent options" from the draft.

Could anyone clarify this?  Thanks,

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Mon, 14 Apr 2003 11:23:55 -0500

There are no specific options yet that convey relay agent options for DHCPv6.

However, this is expected to be defined at some point, such as there are relay
agent options for DHCPv4. See RFC 3046 as the basic relay agent option. There
are several drafts as well that expand this:

Link Selection sub-option for the Relay Agent Information Option for DHCPv4 (16918 bytes)
VPN Identifier sub-option for the Relay Agent Information Option (15940 bytes)
The Authentication Suboption for the DHCP Relay Agent Option (32547 bytes)
DHCP Subscriber ID Suboption for the DHCP Relay Agent Option (10570 bytes)

- Bernie Volz

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, April 14, 2003 11:22 AM
To: [email-masked]
Subject: [dhcwg] what are relay agent options?

					JINMEI, Tatuya